## org.biojava.bio.seq.projection
Class ProjectionEngine.InstantiatorImpl

    java.lang.Object
      org.biojava.bio.seq.projection.ProjectionEngine.InstantiatorImpl

All Implemented Interfaces:
  ProjectionEngine.Instantiator

Enclosing class:
  ProjectionEngine

public static class ProjectionEngine.InstantiatorImpl
extends java.lang.Object
implements ProjectionEngine.Instantiator

Internal helper class.

Constructor Summary
`ProjectionEngine.InstantiatorImpl()`

Method Summary
`java.lang.Object` `newInstance(java.lang.reflect.Constructor c, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectionEngine.InstantiatorImpl

    public ProjectionEngine.InstantiatorImpl()

Method Detail

### newInstance

    public java.lang.Object newInstance(java.lang.reflect.Constructor c,
                                        java.lang.Object[] args)
                                 throws java.lang.Exception

  Specified by:
    `newInstance` in interface `ProjectionEngine.Instantiator`
  Throws:
    `java.lang.Exception`